Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mysql.jdbc
Class Driver

    java.lang.Object
      com.mysql.jdbc.NonRegisteringDriver
          com.mysql.jdbc.Driver

All Implemented Interfaces:
  java.sql.Driver

Direct Known Subclasses:
  Driver

    public class Driver

extends NonRegisteringDriver
implements java.sql.Driver

The Java SQL framework allows for multiple database drivers. Each driver should supply a class that implements the Driver interface

The DriverManager will try to load as many drivers as it can find and then for any given connection request, it will ask each driver in turn to try to connect to the target URL.

It is strongly recommended that each Driver class should be small and standalone so that the Driver class can be loaded and queried without bringing in vast quantities of supporting code.

When a Driver class is loaded, it should create an instance of itself and register it with the DriverManager. This means that a user can load and register a driver by doing Class.forName("foo.bah.Driver")

See Also:
  `org.gjt.mm.mysql.Connection`, `Driver`

Nested Class Summary

Nested classes/interfaces inherited from class com.mysql.jdbc.NonRegisteringDriver
`NonRegisteringDriver.ConnectionPhantomReference`

Field Summary

Fields inherited from class com.mysql.jdbc.NonRegisteringDriver
`connectionPhantomRefs, DBNAME_PROPERTY_KEY, DEBUG, HOST_NAME_INDEX, HOST_PROPERTY_KEY, NUM_HOSTS_PROPERTY_KEY, PASSWORD_PROPERTY_KEY, PATH_PROPERTY_KEY, PORT_NUMBER_INDEX, PORT_PROPERTY_KEY, PROPERTIES_TRANSFORM_KEY, PROTOCOL_PROPERTY_KEY, refQueue, TRACE, USE_CONFIG_PROPERTY_KEY, USER_PROPERTY_KEY`

Constructor Summary
`Driver()` Construct a new driver and register it with DriverManager

Method Summary

Methods inherited from class com.mysql.jdbc.NonRegisteringDriver
`acceptsURL, connect, connectReplicationConnection, database, expandHostKeyValues, getMajorVersion, getMajorVersionInternal, getMinorVersion, getMinorVersionInternal, getPropertyInfo, host, isHostPropertiesList, jdbcCompliant, parseHostPortPair, parseURL, port, property, trackConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.sql.Driver
`acceptsURL, connect, getMajorVersion, getMinorVersion, getPropertyInfo, jdbcCompliant`

Constructor Detail

### Driver

    public Driver()
           throws java.sql.SQLException

  Construct a new driver and register it with DriverManager

  Throws:
    `java.sql.SQLException` - if a database error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD